AutomationRunService
The AutomationRunService methods and their request and response messages.
Generated from automation.proto. Every method is
POST /rpc/engram.app.v1.AutomationRunService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
ListRuns |
ListRunsRequest |
ListRunsResponse |
ListInstances |
ListInstancesRequest |
ListInstancesResponse |
GetInstance |
GetInstanceRequest |
GetInstanceResponse |
CloseInstance |
CloseInstanceRequest |
CloseInstanceResponse |
ListRecentDrops |
ListRecentDropsRequest |
ListRecentDropsResponse |
GetRun |
GetRunRequest |
GetRunResponse |
StopRun |
StopRunRequest |
StopRunResponse |
RetryRun |
RetryRunRequest |
RetryRunResponse |
Messages
Section titled “Messages”AutomationDropBrief
Section titled “AutomationDropBrief”| Field | Type |
|---|---|
entrypoint_id |
string |
event_key |
string |
reason |
string |
detail |
string |
dropped_at |
string |
AutomationInstance
Section titled “AutomationInstance”| Field | Type |
|---|---|
id |
string |
automation_id |
string |
key |
string |
status |
string |
inputs_json |
string |
opened_by |
string |
opened_at |
string |
closed_at |
string (optional) |
close_reason |
string (optional) |
AutomationRun
Section titled “AutomationRun”| Field | Type |
|---|---|
brief |
AutomationRunBrief |
trigger_json |
string |
steps |
repeated AutomationStepRun |
session_ids |
repeated string |
AutomationRunBrief
Section titled “AutomationRunBrief”| Field | Type |
|---|---|
id |
string |
automation_id |
string |
version |
int32 |
status |
string |
error |
string (optional) |
trigger_source |
string |
event_key |
string (optional) |
delivery_key |
string (optional) |
dry_run |
bool |
started_at |
string (optional) |
ended_at |
string (optional) |
created_at |
string |
instance_id |
string |
AutomationStepRun
Section titled “AutomationStepRun”| Field | Type |
|---|---|
block_id |
string |
attempt |
int32 |
status |
string |
inputs_json |
string |
outputs_json |
string |
error |
string (optional) |
session_id |
string (optional) |
started_at |
string |
ended_at |
string (optional) |
CloseInstanceRequest
Section titled “CloseInstanceRequest”| Field | Type |
|---|---|
id |
string |
reason |
string (optional) |
CloseInstanceResponse
Section titled “CloseInstanceResponse”| Field | Type |
|---|---|
closed |
bool |
FilteredWindow
Section titled “FilteredWindow”| Field | Type |
|---|---|
count |
int32 |
first_at |
string |
last_at |
string |
before_run_id |
string |
GetInstanceRequest
Section titled “GetInstanceRequest”| Field | Type |
|---|---|
id |
string |
GetInstanceResponse
Section titled “GetInstanceResponse”| Field | Type |
|---|---|
instance |
AutomationInstance |
handles |
repeated InstanceHandle |
GetRunRequest
Section titled “GetRunRequest”| Field | Type |
|---|---|
run_id |
string |
GetRunResponse
Section titled “GetRunResponse”| Field | Type |
|---|---|
run |
AutomationRun |
InstanceHandle
Section titled “InstanceHandle”| Field | Type |
|---|---|
handle |
string |
written_by |
string |
created_at |
string |
ListInstancesRequest
Section titled “ListInstancesRequest”| Field | Type |
|---|---|
automation_id |
string |
include_closed |
bool |
limit |
int32 |
ListInstancesResponse
Section titled “ListInstancesResponse”| Field | Type |
|---|---|
instances |
repeated AutomationInstance |
ListRecentDropsRequest
Section titled “ListRecentDropsRequest”| Field | Type |
|---|---|
automation_id |
string |
limit |
int32 |
ListRecentDropsResponse
Section titled “ListRecentDropsResponse”| Field | Type |
|---|---|
drops |
repeated AutomationDropBrief |
ListRunsRequest
Section titled “ListRunsRequest”| Field | Type |
|---|---|
automation_id |
string |
limit |
int32 |
include_filtered |
bool |
instance_id |
string (optional) |
ListRunsResponse
Section titled “ListRunsResponse”| Field | Type |
|---|---|
runs |
repeated AutomationRunBrief |
filtered |
repeated FilteredWindow |
RetryRunRequest
Section titled “RetryRunRequest”| Field | Type |
|---|---|
run_id |
string |
from_step_id |
string (optional) |
RetryRunResponse
Section titled “RetryRunResponse”| Field | Type |
|---|---|
run_id |
string |
StopRunRequest
Section titled “StopRunRequest”| Field | Type |
|---|---|
run_id |
string |
reason |
string (optional) |
StopRunResponse
Section titled “StopRunResponse”| Field | Type |
|---|---|
sent |
bool |